﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v15.1, Version=15.1.20151.2123, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v15.1, Version=15.1.20151.2123, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics4.Web.v15.1, Version=15.1.20151.2123, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.NavigationControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">

    <title></title>
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>

    <script id="igClientScript">
        function GridMouseDown(grid, eventArgs) {
            var menu = $find("<%= this.WebDataMenu1.ClientID %>");
            var targetElement = eventArgs.get_browserEvent().target;
            var selectedRow = grid.get_behaviors().get_selection().get_selectedRows().getItem(0);
            var currentlySelectedRow = eventArgs.get_item().get_row();

            if (eventArgs.get_item() == null || !eventArgs.get_item().get_row) {
                return;
            }

            menu.showAt(null, null, eventArgs.get_browserEvent());
        }

        function getData(sender, eventArgs) {
            if (eventArgs.getItem().get_key() === "miRun") {
                $.ajax({
                    type: "POST",
                    url: "WebService.asmx/GetData",
                    data: "{}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    success: function (response) {
                        var data = response.d;
                        var $dialog = $find("wdw1");
                        $dialog.show();
                        $($dialog.findChild("content")).html(data);
                    },
                    error: function (response) {
                        console.log(response);
                    }
                });
            }
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
            <ig:WebDataMenu ID="WebDataMenu1" runat="server" IsContextMenu="true">
                <GroupSettings Orientation="Vertical" />
                <ClientEvents ItemClick="getData" />
                <Items>
                    <ig:DataMenuItem Text="Call the WebService" Key="miRun" ToolTip="Run the selected report(s)">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Enabled="true" Text="View" Key="miView" ToolTip="View the selected report">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Text="Print" Key="miPrint" ToolTip="Print the selected report(s)">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Text="Reset Status" Key="miReset" ToolTip="Reset Status">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Text="ReClass" Key="miReclass" ToolTip="Reclass the selected report">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Text="QtrRolloverReport" Key="miQtrRoll" ToolTip="Create and View Quarter Rollover Report">
                    </ig:DataMenuItem>
                    <ig:DataMenuItem Text="Delete" Key="miDelete" ToolTip="Delete Reclass Report">
                    </ig:DataMenuItem>
                </Items>
            </ig:WebDataMenu>
            <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="400px" StyleSetName="Default"
                AutoGenerateColumns="False" DataSourceID="SqlDataSource1">
                <ClientEvents MouseDown="GridMouseDown" />
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID">
                        <Header Text="CategoryID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="CategoryName" Key="CategoryName">
                        <Header Text="CategoryName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Description" Key="Description">
                        <Header Text="Description">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <Behaviors>
                    <ig:Selection CellClickAction="Row" RowSelectType="Single">
                    </ig:Selection>
                </Behaviors>
            </ig:WebDataGrid>
            <ig:WebDialogWindow ID="wdw1" runat="server" ClientIDMode="Static"
                Height="300px" InitialLocation="Centered"
                Moveable="False" Width="400px" WindowState="Hidden">
                <Header CaptionAlignment="Left" CaptionText="Caption">
                    <CloseBox Visible="true" />
                </Header>
                <ContentPane>
                    <Template>
                        <div id="content">Default content</div>
                    </Template>
                </ContentPane>
            </ig:WebDialogWindow>
            <br />
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>" ProviderName="<%$ ConnectionStrings:ConnectionString.ProviderName %>" SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>
